# Collateral Freedom
Extension for Chrome and Chromium

![Logo](https://12mars.rsf.org/2015-en/wp-content/uploads/sites/12/2015/05/cropped-CollateralFreedom_logo_sans-baseline-01.png)

This extension has been developped by [Brendan Abolivier](https://github.com/babolivier) and [Clément Salaün](https://github.com/altitude)
during the **Collateral Freedom** hackaton organised by [Reporters Without Borders](https://en.rsf.org/) and [An Daol Vras](http://lacantine-brest.net/).

Its goal is to ease the access to the [**Collateral Freedom**](http://12mars.rsf.org/2015-en/) initiative, which replicates websites around the Web in order to make them available
for everyone, including in the contries they're censored in.

## Howto

The extension will add an icon next to your address bar. Most of the time, this icon will stay unchanged, and clicking it will show
a message saying that no replication of the current tab's website has been set up by RWB.

![Screenshot 1](https://raw.githubusercontent.com/babolivier/collateral-freedom/master/screenshots/sc3.png)

When connecting (or trying to connect) to a website for which a replicated version has been set up by RWB, the extension's icon will turn
red. Clicking it will open a pop-up page with a button.

![Screenshot 2](https://raw.githubusercontent.com/babolivier/collateral-freedom/master/screenshots/sc1.png)

If you click the button, it will bring you to the replicated website.

![Screenshot 3](https://raw.githubusercontent.com/babolivier/collateral-freedom/master/screenshots/sc2.png)

## Contribute

If you want to contribute, please feel free to do so. The first thing to do may be to check [the repo's issues](https://github.com/babolivier/collateral-freedom/issues).
When you've found something to contribute on, just fork this repository, make your changes, and send a pull-request.

## About Collateral Freedom

To mark World Day Against Cyber-Censorship (12 March), Reporters Without Borders is launching “Operation Collateral Freedom” to **unblock nine censored websites in 11 countries that are on its list of “Enemies of the Internet**.”

To render these ten sites accessible to the public in these countries, Reporters Without Borders has created mirror copies and has placed each copy with hosting services in the cloud provided by Amazon, Google and Microsoft. The countries concerned could block these services but almost certainly will not. Blocking Amazon or Microsoft or any major cloud computing service provider would cripple the thousands of companies that use them every day. The economic and political cost of blocking the mirror sites would therefore be too high.

Operation *#CollateralFreedom* is the brainchild of [GreatFire](https://zh.greatfire.org/), an NGO operated by Chinese activists that has already created unblockable mirror sites of Deutsche Welle, Google and China Digital Times. [GreatFire’s tools and technology are freely available](https://github.com/greatfire/wiki/wiki) online for anyone to use to combat online censorship.

(taken from the [official GitHub repository](https://github.com/RSF-RWB/collateralfreedom) for Collateral Freedom)
